%define		_class		XML
%define		_subclass	Util
%define		_status		stable
%define		_pearname	XML_Util
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - XML utility class
Summary(pl.UTF-8):	%{_pearname} - klasa narzędziowa do obróbki XML-a
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	5
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b8d4efcdb11b308b179f7bb63043284f
URL:		http://pear.php.net/package/XML_Util/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-XML_Util-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selection of methods that are often needed when working with XML
documents. Functionality includes creating of attribute lists from
arrays, creation of tags, validation of XML names and more.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Zbiór metod często stosowanych podczas pracy z dokumentami XML.
Możliwość między innymi tworzenia listy atrybutów z tablic, tworzenia
tagów, sprawdzania poprawności nazw XML oraz wiele innych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> a0bb501
- use php(core) for php engine version deps
- release 4 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 4f72ae4
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a6f5a9c
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 169a231
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 9f4902e
- updated deps with pearize.sh
- release 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> bd32d8a
- updated to 1.2.1

* Mon Jul 28 2008 Adam Gołębiowski <adamg@pld-linux.org> 554906b
- updated to 1.2.0
- license changed to BSD
- tests subpackage

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> eccc14d
- rel 3

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> 93a936e
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1c1225d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 15a4403
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 48376ec
- updated to 1.1.4

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 503690d
- rel 4: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 9f9c8fb
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> c6a32a3
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 5d5c1f0
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> dfa3035
- require php-pear-PEAR-core, not the full PEAR package with deps

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 897fc2e
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 423ed1f
- semi automatically added deps from pear

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 6298b26
- integer BR

